Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebAgent

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgent

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class DrwebAgent
    extends DrwebAgentStatusBase

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, statusDate, tariffId, tariffTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DrwebAgent()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAgentUUID()` |
  `int` | `getCid()` |
  `java.util.Date` | `getDateFrom()` |
  `java.lang.String` | `getName()` |
  `void` | `setAgentUUID​(java.lang.String agentUUID)` |
  `void` | `setCid​(int cid)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setName​(java.lang.String description)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `getStatus, getStatusDate, getStatusString, getTariffId, getTariffTitle, setStatus, setStatusDate, setTariffId, setTariffTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrwebAgent

    public DrwebAgent()

- ## Method Details

  - ### getAgentUUID

    public java.lang.String getAgentUUID()

  - ### setAgentUUID

    public void setAgentUUID​(java.lang.String agentUUID)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String description)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)